--
--  都道府県
--      t_pref
--

CREATE TABLE t_pref
(
    PrefCd integer NOT NULL,        -- PriKey
    PrefNm character varying(20),
    DispPriority integer,

    DelFlg boolean,
    AddDate timestamp without time zone,
    UpdDate timestamp without time zone,
    UpdUsrNm character varying(60),
    UpdPcNm character varying(60),
    UpdCnt integer,

    PRIMARY KEY(PrefCd)
);


-- トリガ
CREATE TRIGGER trigger_master_stamp
  BEFORE INSERT OR UPDATE
  ON t_pref
  FOR EACH ROW
  EXECUTE PROCEDURE g_master_stamp();
